//genesis
/**********************************************************************
** This demo is      
**                  copyright (C) 1998 Upinder S. Bhalla.
** It is made available under the terms of the GNU General Public License. 
** See the file COPYRIGHT for the full notice.
**********************************************************************/
// This demo file replicates figure 2 B.
// As our model file includes a lot of pathways other than the
// ones in figure 2A, we need to zero out input to the Ras pathway
// from various sources such as the mGluR pathway and the
// CaM pathway. 
// The PKC input to the Ras pathway has to stay, however, because
// of PKC involvement in the attachment of Raf to Ras. We keep
// PKC at basal levels by buffering AA and DAG to steady-state
// levels just before the application of the EGF stimulus.

include allmapk_egfr127_plots.g

// Show some more interesting plots
xshow /moregraphs

setclock 2 10
setclock 3 10

setfield /kinetics/BetaGamma CoInit 0.0 slave_enable 4
setfield /kinetics/CaM-Ca4 CoInit 0.0 slave_enable 4


reset
setfield /kinetics/EGFR/EGF CoInit 0.0 slave_enable 4
echo Running for 1 hour to reach steady-state
step 3600 -t

// Buffering the AA and DAG to steady-state (current) values
	setfield /kinetics/AA \
		CoInit {getfield /kinetics/AA Co} slave_enable 4
	setfield /kinetics/DAG \
		CoInit {getfield /kinetics/DAG Co} slave_enable 4

setfield /kinetics/EGFR/EGF CoInit 0.1 slave_enable 4
echo Running for 2 hours to see time-course
step 7200 -t

// Saving output of MAPK plot to a file 
do_save_named_plot /graphs/conc1/MAPK*.Co /tmp/fig2B.plot
