//genesis
/**********************************************************************
** This demo is      
**                  copyright (C) 1998 Upinder S. Bhalla.
** It is made available under the terms of the GNU General Public License. 
** See the file COPYRIGHT for the full notice.
**********************************************************************/

// This file replicates figure 2D. Plots are saved in /tmp.

include allmapk_egfr127_plots.g

setfield /graphs/conc1 ymax 0.4
setfield /graphs/conc# overlay 1 xmax 14000
setfield /moregraphs/conc# overlay 1 xmax 14000

setclock 2 10
setclock 3 10


function do_stim(egf, time)
	float egf,time

	reset

	setfield /kinetics/EGFR/EGF CoInit 0 slave_enable 4
	// Let the system equilibrate
	echo Equilibration started with fast timestep
	// short timestep to get over the initial startup transients
	setclock 0 5e-5
	setclock 1 5e-5
	step 2 -t
	echo Equilibration with normal timestep
	setclock 0 2e-3
	setclock 1 2e-3
	step 3598 -t

	// Deliver the stimulus
	echo Stimulus started
	setfield /kinetics/EGFR/EGF CoInit {egf} slave_enable 4
	step {time} -t

	// Let the system relax to steady-state
	echo Stimulus finished
	setfield /kinetics/EGFR/EGF CoInit 0 slave_enable 4
	step {10000 - time} -t

	do_save_named_plot /graphs/conc1/PKC-active.Co /tmp/fig2D_{egf}.t_{time}.plot 
	do_save_named_plot /graphs/conc1/MAPK*.Co /tmp/fig2D_{egf}.t_{time}.plot 
end

echo Doing simulation for 2 nM EGF for 6000 sec
do_stim 2e-3	6000

echo Doing simulation for 5 nM EGF for 600 sec
do_stim 5e-3	600

echo Doing simulation for 5 nM EGF for 6000 sec
do_stim 5e-3	6000
