//genesis
/**********************************************************************
** This demo is      
**                  copyright (C) 1998 Upinder S. Bhalla.
** It is made available under the terms of the GNU General Public License. 
** See the file COPYRIGHT for the full notice.
**********************************************************************/

// This demo produces conc-effect curves for PKC vs. MAPK
// and MAPK vs PKC. The output points are printed out.
// The graphics are
// just to give you an idea of what is going on and to verify that
// the system has reached steady state for each stimulus level.

float fastclock = 2e-5
float normclock = 4e-3

include allmapk125_plots.g

function do_stim_pkc(pkc)
	float pkc
	setfield /kinetics/PKC-active CoInit {pkc} slave_enable 4
	setclock 0 {fastclock}
	setclock 1 {fastclock}
	step 1 -t
	setclock 0 {normclock}
	setclock 1 {normclock}
	step 1999 -t
	
	echo {getfield /kinetics/MAPK* Co}"	"{pkc}
	echo {getfield /kinetics/MAPK* Co}"	"{pkc} >> /tmp/fig2E.tab
end

function do_stim_mapk(mapk)
	float mapk
	setfield /kinetics/MAPK* CoInit {mapk} slave_enable 4
	setclock 0 {fastclock}
	setclock 1 {fastclock}
	step 1 -t
	setclock 0 {normclock}
	setclock 1 {normclock}
	step 999 -t
	
	echo {mapk}"	"{getfield /kinetics/PKC-active Co}
	echo {mapk}"	"{getfield /kinetics/PKC-active Co} >> /tmp/fig2E.tab
end

setfield /kinetics/Ca CoInit 0.08 slave_enable 4
reset

echo Generating MAPK vs PKC
echo Generating MAPK vs PKC >> /tmp/fig2E.tab
echo "[MAPK]		[PKC]"
echo "[MAPK]		[PKC]" >> /tmp/fig2E.tab
do_stim_pkc	0.01
do_stim_pkc	0.1
do_stim_pkc	0.12
do_stim_pkc	0.14
do_stim_pkc	0.16
do_stim_pkc	0.18
do_stim_pkc	0.2
do_stim_pkc	0.25
do_stim_pkc	0.3
do_stim_pkc	0.35
do_stim_pkc	0.4

setfield /kinetics/PKC-active CoInit 0 slave_enable 0
reset
echo Generating PKC vs MAPK
echo Generating PKC vs MAPK >> /tmp/fig2E.tab
echo "[MAPK]		[PKC]"
do_stim_mapk 1e-5
do_stim_mapk 1e-4
do_stim_mapk 3e-4
do_stim_mapk 1e-3
do_stim_mapk 2e-3
do_stim_mapk 5e-3
do_stim_mapk 1e-2
do_stim_mapk 2e-2
do_stim_mapk 5e-2
do_stim_mapk 0.1
do_stim_mapk 0.2
do_stim_mapk 0.5
do_stim_mapk 1

