//genesis
/**********************************************************************
** This demo is      
**                  copyright (C) 1998 Upinder S. Bhalla.
** It is made available under the terms of the GNU General Public License. 
** See the file COPYRIGHT for the full notice.
**********************************************************************/
// This demo replicates figure 2G. This is exceptionally nasty,
// because of complications with adding and removing MKP-1

include allmapk125_plots.g

// Plot all the results on top of each other.
setfield /graphs/conc1 overlay 1

float fastclock = 5e-5
float normclock = 2e-3

function get_tot_MKP1
	float tot = {getfield /kinetics/MKP-1 Co}
	tot = tot + {getfield /kinetics/MKP-1/MKP1-tyr-deph CoComplex}
	tot = tot + {getfield /kinetics/MKP-1/MKP1-thr-deph CoComplex}
	return {tot}
end

function do_stim(mkp1, time)
	float mkp1
	float time

	float amount_added
	float temp

	reset
	setfield /kinetics/Ca CoInit 0.08 slave_enable 4
	// Push the system into the active state
	setfield /kinetics/AA CoInit 50 slave_enable 4
	setclock 0 {fastclock}
	setclock 1 {fastclock}
	step 2 -t
	setclock 0 {normclock}
	setclock 1 {normclock}
	step 998 -t

	// Let the system relax to steady-state
	setfield /kinetics/AA CoInit 0.0 slave_enable 0
	step 2000 -t

	// apply more MKP-1 so that total is our desired level
	// Note that buffering MKP-1 does not produce the desired
	// result, as a significant amount of the phosphatase is complexed
	// when MAPK is activated

	amount_added = mkp1
	setfield /kinetics/MKP-1 \
		Co {{getfield /kinetics/MKP-1 Co} + amount_added}
	setclock 0 {fastclock}
	setclock 1 {fastclock}
	step 2 -t
	setclock 0 {normclock}
	setclock 1 {normclock}
	step {time -2} -t

	setclock 0 {fastclock}
	setclock 1 {fastclock}
	// Remove amount_added. We can't do this all at once, because
	// this may give -ve concentrations. So we need to iterate it out
	temp = {getfield /kinetics/MKP-1 Co}
	while (temp < amount_added)
		amount_added = amount_added -temp
		setfield /kinetics/MKP-1 Co 0
		step 1 -t
		temp = {getfield /kinetics/MKP-1 Co}
	end
	setfield /kinetics/MKP-1 Co {temp - amount_added}
	step 1 -t

	setclock 0 {normclock}
	setclock 1 {normclock}
	step 3600 -t

	do_save_named_plot /graphs/conc1/PKC-active.Co \
		/tmp/fig2G_{mkp1}.{time}.plot
	do_save_named_plot /graphs/conc1/MAPK*.Co \
		/tmp/fig2G_{mkp1}.{time}.plot
end

do_stim	8e-3 600
do_stim	4e-3 1200
do_stim	8e-3 1200
