//genesis

float fastclock = 0.00005
float normclock = 0.002
float buildup_time = 10
float fastequil = 2
float equiltime = 2000
float stimtime = 60
float post_stimtime = 2000

/* Find the host name */
str hostname = {getenv HOST}
str basefn = "jun26_97/egf_"
str fn

if ({strncmp {hostname} "kulfi" 5} == 0)
	fn = "results/" @ {basefn} @ "k"
end

if ({strncmp {hostname} "obattu" 6} == 0)
	fn = "results/" @ {basefn} @ "o"
end

if ({strncmp {hostname} "rasgolla" 7} == 0)
	fn = "results/" @ {basefn} @ "r"
end

if ({strncmp {hostname} "srikhand" 7} == 0)
	fn = "/data/results/" @ {basefn} @ "s"
end

function report
	echo time = {getstat -time}
	echo PKC = {getfield /kinetics/PKC-active Co}
	echo MAPK = {getfield /kinetics/MAPK* Co}
	echo CaMKII = {getfield /kinetics/CaMKII/CaMKII*** Co}
end


function do_stim(level,egftime)
	float level
	float egftime

	setfield /kinetics/Ca \
		slave_enable 4 \
		CoInit 0.08

	setfield /kinetics/Glu \
		slave_enable 4 \
		CoInit 0.0

	setfield /kinetics/EGF_Receptor/EGF \
		slave_enable 4 \
		CoInit 0.0

	reset
	
	setclock 3 2
	// equiltime sec of equil
	setclock 0 {fastclock}
	setclock 1 {fastclock}
	step {fastequil} -t
	report
	setclock 0 {normclock}
	setclock 1 {normclock}
	step {equiltime - fastequil} -t
	report

	setfield /kinetics/EGF_Receptor/EGF CoInit {level}
	// This is nice and smooth, so no equiltime needed.
	step {egftime} -t
	report

	setfield /kinetics/EGF_Receptor/EGF CoInit 0.0

	step {post_stimtime} -t
	report
end

float origMKP1 = {getfield /kinetics/MKP-1 CoInit}
float origPP2A = {getfield /kinetics/PPhosphatase2A CoInit}
setfield /kinetics/MKP-1 CoInit {origMKP1 * 0.4}
setfield /kinetics/PPhosphatase2A CoInit {origPP2A * 1.4}

	do_stim	0.1e-3	60
quit
