//genesis
/**********************************************************************
** This demo is      
**                  copyright (C) 1998 Upinder S. Bhalla.
** It is made available under the terms of the GNU General Public License. 
** See the file COPYRIGHT for the full notice.
**********************************************************************/
include pkc46.g

setclock 0 0.01
setclock 1 0.01

function do_stim(ca, aa, dag)
	setfield /kinetics/Ca CoInit {ca} slave_enable 4
	// Note that we have had to introduce a scale factor of 15 to
	// match concens of DAG used in Shinomura et al against
	// those used in Schaechter and Benowitz. We actually use
	// the scaled up values in the simulation. 
	setfield /kinetics/DAG CoInit {dag * 15} slave_enable 4
	setfield /kinetics/AA CoInit {aa} slave_enable 4
	step 100 -t
	echo {ca}"	"{aa}"	"{dag}"	"{getfield /kinetics/PKC-active Co}
	echo {ca}"	"{aa}"	"{dag}"	"{getfield /kinetics/PKC-active Co} >> \
		/tmp/pkcfig.tab
end

function do_output(text)
	str text
	do_inform {text}
	echo {text}
	echo {text} >> /tmp/pkcfig.tab
	reset
end

do_output "Running PKC fig B: PKC response curve vs. AA, without Ca"
echo DAG concs in output are scaled down 15x from model values,
echo to fit Shinomura et al PNAS 88 5149-5153 (1991). 
echo all concs in uM
echo "[Ca]	[AA]	[DAG]	[PKC]"
echo "[Ca]	[AA]	[DAG]	[PKC]" >> /tmp/pkcfig.tab
do_stim	0	0	0
xhide /inform
do_stim	0	10	0
do_stim	0	25	0
do_stim	0	50	0


do_output "Running PKC fig B: PKC response curve vs. AA, with 1 uM Ca"
do_stim	1	0	0
xhide /inform
do_stim	1	10	0
do_stim	1	25	0
do_stim	1	50	0


do_output "Running PKC fig C: PKC response curve vs. Ca, without AA"
do_stim	0.001	0	0
xhide /inform
do_stim	0.01	0	0
do_stim	0.1	0	0
do_stim	1	0	0
do_stim	10	0	0


do_output "Running PKC fig C: PKC response curve vs. Ca, with 50 uM AA"
do_stim	0.001	50	0
xhide /inform
do_stim	0.01	50	0
do_stim	0.1	50	0
do_stim	1	50	0
do_stim	10	50	0


do_output "Running PKC fig D: PKC response curve vs. DAG, with 1 uM Ca, no AA"
do_stim	1	0	0
xhide /inform
do_stim	1	0	1.2
do_stim	1	0	2.5
do_stim	1	0	5
do_stim	1	0	7.5


do_output "Running PKC fig D: PKC response curve vs. DAG, with 1uM Ca and 50uM AA"
do_stim	1	50	0
xhide /inform
do_stim	1	50	1.2
do_stim	1	50	2.5
do_stim	1	50	5
do_stim	1	50	7.5
